#ifndef __LABEL_H
#define __LABEL_H

#ifdef __cplusplus
extern "C" {
#endif

#include <wiisprite.h>

#include "widget.h"
#include "color.h"
#include "text.h"

#define PADDING 4

class Label : public Widget
{
	public:
		Label();
		virtual ~Label();
		
		void setColor(Color c);
		void setFont(const char *font);
		void setSize(int size);
		void setCentered(bool centered);
		void setTransparency(int t);
		
		char *getCaption();
		void setCaption(const char *caption);
		
		virtual void resize(int width, int height);
		
		virtual void draw();
		virtual void reskin();
	private:
		Sprite *labelSprite;
		DrawableImage *labelImage;
		
		Theme windowManager;
		Settings settingsManager;
		TextRender text;
		char *curCaption;
		
		bool _centered;
};

#ifdef __cplusplus
}
#endif

#endif
